import random
import time
from typing import List


class Solution:
    def twoSum1(self, nums: List[int], target: int) -> List[int]:
        if (len(nums) < 2): return []
        
        nums_dict = {}
        for index in range(len(nums)):
            missing_number = target - nums[index]
            if (missing_number in nums_dict): 
                return [nums_dict[missing_number], index]
            nums_dict[nums[index]] = index
        return []
    
    def twoSum2(self, nums: List[int], target: int) -> List[int]:
        for i in range(len(nums) - 1):
            for j in range(1, len(nums)):
                if nums[i] + nums[j] == target:
                    return [i, j]
        return []
    
    
if (__name__ == "__main__"):
    nums = [-20941,89976,35646,-30632,10950,82135,86015,95510,-93252,56276,-12405,84440,-82867,-68959,84750,-76444,-77908,54370,-9023,-96643,-118,49867,45134,24649,-88562,95685,-85994,-92901,37966,47970,7939,32613,-23581,-50228,67809,67675,25945,1941,44741,-54072,67308,8024,-29786,75317,-92844,79218,29422,-42782,14181,-66983,59337,-42702,-14417,-39243,-7554,11357,36375,79206,-44552,77998,74027,16892,12207,-5893,-76976,-49222,80856,-70579,44505,22257,-85495,-6846,52705,-1672,20081,69065,-16119,-82124,-97633,-32942,-68137,-26389,30579,-49638,31063,-9249,-50645,-80496,-27804,60072,-14497,-39462,-17591,92153,80388,72132,71838,51125,-51098,-17551]
    nums1 = [52502,90720,38714,55316,-26256,-33063,35710,90876,-59958,55609,60691,-34093,87267,40294,-23520,-17498,32012,-86531,30379,81793,92750,-3358,22369,-30854,-80796,-63732,81243,392,98923,52196,29740,-81220,-51763,86356,39714,-49403,-79868,-93193,-9887,74757,49872,-54308,56881,59861,-888,-2677,-65596,96296,-54430,35665,-84550,12605,744,13317,94999,-45990,45979,27435,-77427,-50747,29050,34294,76760,-19009,27217,-41275,73532,-84593,-31419,59186,5455,3147,69125,-73091,44550,-46002,47918,-64497,64928,9922,-48793,-70149,-33044,-72792,-42708,-23739,-10443,-23976,65740,91132,1658,-45743,-1241,4311,-33377,94463,-44001,-50511,-56697,-26615,-8302,-12308,96046,2942,-83435,35014,-33554,-57610,72677,-5133,23898,89404,-90688,-56713,70231,32585,-38005,56594,99864,45519,73825,-47583,6866,15937,81704,99783,9869,-79737,64795,-25664,14115,39661,-63696,-41962,-52245,-39547,53885,-74390,23677,89301,-89971,-94571,76066,66346,98703,-92049,43936,83313,-19084,-19849,-993,-61158,-68425,43555,1382,23386,51918,-33897,-37291,64160,19351,38868,91555,-20603,9841,10087,-91,46980,-35601,-4243,-99811,-18804,-72153,-4814,-62677,-66451,64653,-79083,-42958,-22621,-97322,16190,37576,55467,-76227,-31713,34094,10948,23720,62700,-34861,-32179,99005,87583,47504,-99717,97554,69119,45758,30065,-72680,84225,39876,299,-5899,-98245,78324,-25324,36446,64339,-48625,21663,-97879,-27861,77585,-28829,-90563,-37532,-64588,-26467,29662,54308,98942,-60582,3034,-61277,98300,11477,-63476,-14424,82400,15035,66300,69938,-72513,-91447,77167,-74909,-31478,-51790,52166,60454,-66410,83574,-51481,-41595,-86887,-72608,-24447,87468,-24224,-65135,-17282,-17823,-37349,-9685,-40270,24470,-65999,25142,29130,90290,-88693,-94367,-57056,6019,-33127,8491,30173,6180,10008,-37182,-1679,55346,65519,74179,-85983,-48238,-46158,-15073,-88994,60072,-17099,-74108,-4008,6653,99429,11028,-8724,-81711,13935,-87221,-40680,-8182,-1366,9582,-73081,1393,-90876,18847]
    nums2 = [96722,-34254,-78202,82532,-29610,-30269,-72673,-36856,51296,10562,43514,-54445,48206,-40363,45810,27758,-75417,-23779,-27289,-67344,62577,-29167,3354,-57379,23217,-16270,-11561,3799,36311,58109,56503,28839,-88199,6094,-68738,55381,-22035,-11890,-4242,-83845,-56670,-77858,87800,-29810,28097,-26843,75704,47143,-30282,64027,-13185,-21739,49602,-29878,-31128,-20806,59779,66236,36604,-72258,-84670,16073,-1805,-57730,-55738,94947,-90112,3978,21583,9979,-27731,-69489,-69956,-84467,48800,96210,-85598,-15048,-75055,-77769,11335,-92398,90469,-74060,-43732,55647,-67846,26659,65988,39932,-87555,-24128,-49834,71756,71583,-71739,66425,-17701,-14084,92111,-85503,-44040,-86009,-81451,69250,-90187,-5956,67575,47251,67700,-71711,-15368,-54780,6956,20697,72117,-21513,4707,-30076,-53304,-972,91229,97445,67886,-72974,-92959,-4471,83503,-51863,-37356,-35761,82786,-91387,60622,63673,82569,-10901,47628,-65679,48061,-34216,49179,-12772,-70194,-47009,-61718,97543,69619,-18745,32888,-2402,-66710,66076,96501,-72359,-97285,-78701,-91418,-82042,-28801,-72670,32096,29665,46326,-27899,27409,-18325,14331,61400,-96734,-75668,99021,-9585,-11874,-53439,18151,-78716,-34464,-54708,-66511,64153,-68902,88932,-26062,26346,70869,-23604,14540,91389,95523,-68983,-63872,636,-41941,55420,84362,45101,67460,-93857,-19252,-51245,65011,88785,55135,23217,-15472,-52382,-6347,-19396,-77334,68795,18176,86865,-3471,12753,23593,92330,74115,-73603,-61931,44626,-18604,58985,25863,52996,-32287,-25345,-15118,-67905,-60573,75876,-64610,44830,55548,1094,43019,-7652,85097,15457,-36851,94586,73325,-59693,32910,3629,35092,-5766,-20291,748,-20266,-59701,-86388,-19512,48775,53784,77801,19032,56609,37838,-55174,-16094,-15187,-92056,-28747,45297,-25055,-44744,92897,38511,60421,-94747,44111,59187,-95250,54771,-36325,-3756,20416,-23971,87144,62088,-80883,-6146,-84768,-82783,-19495,15194,-54729,-22401,-47761,42147,-83087,-10108,67476,69881,17569,68082,-71884,84051,-34467,265,-43193,-30310,35421,-21394,-41550,-20397,-87688,-26509,-4439,7182,51643,-88187,51105,-77395,-66175,-91470,28568,36328,-66572,-36650,15846,-21273,42014,59326,82050,93159,89336,64408,35063,-56550,16301,-8695,-1403,53441,86774,-47918,92255,-59591,14213,-26865,76001,-87394,27288,2160,87443,13960,1005,-68589,43672,55457,-63991,17976,58548,-96954,31579,40720,76397,22055,10378,91976,-49381,-80944,81843,-64582,-94351,-36740,-52159,76741,-70683,87178,83104,-53312,-42609,-28796,-49020,-24984,96850,58974,23235,95640,24680,-73390,1482,13310,-86736,-10082,-87799,85122,-19159,-9988,73985,-59522,22613,-15480,86658,-38398,79451,-46318,94437,96220,-58617,-57237,5251,-49044,-83289,89367,5172,-83586,-34144,-41031,-23065,-40745,30140,-5003,-92227,77592,-12437,-31535,-68020,24701,-27924,-53788,-31679,-8742,-50413,-80487,-2221,96644,-9462,74441,43991,-45375,-45445,-79128,7520,-57582,-2127,88911,64540,-81156,-78618,24241,80610,71242,-26154,89903,-80131,86631,33106,-48529,50777,-77292,63510,446,73036,68170,84291,-56297,20382,60954,99745,-80666,7584,-27506,81032,-8401,-83351,57043,-61605,-47406,-43174,-1289,15276,-48547,32359,5641,25992,70877,-89791,-1301,-80212,-78968,1313,22186,69435,-96935,12729,5980,-79272,-76910,-65953,-65877,84132,-78014,-21520,55556,19081,-55473,32466]
    
    # value = ""
    # for index in range(0, 500):
    #     item = random.randint(-100000, 100000)
    #     nums1.append(item)
    #     value += str(item) + ','
    
    
    print("Start")
    
    t1 = time.time()
    totals = Solution().twoSum1(nums2, 1111)
    t2 = time.time()
    print(totals)
    print('Elapsed time 1: {} seconds'.format((t2 - t1)))
    
    t1 = time.time()
    totals = Solution().twoSum2(nums2, 1111)
    t2 = time.time()
    print(totals)
    print('Elapsed time 2: {} seconds'.format((t2 - t1)))
    
    
    